VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL DMACKn
        SIGNAL CS1n
        SIGNAL DMARQ
        SIGNAL CS0n
        SIGNAL GENERAL_ACCESS
        SIGNAL A0
        SIGNAL A1
        SIGNAL A2
        SIGNAL DIOWn
        SIGNAL WR_PULSE
        SIGNAL RESETn
        SIGNAL DA2
        SIGNAL DA1
        SIGNAL XLXN_8
        SIGNAL XLXN_9
        SIGNAL XLXN_10
        SIGNAL XLXN_11
        SIGNAL DIORn
        SIGNAL DIOR
        SIGNAL RD_PULSE
        SIGNAL XLXN_443
        SIGNAL CLEAR
        SIGNAL XLXN_105(7:0)
        SIGNAL R_DAT(7:0)
        SIGNAL READ_ENABLE
        SIGNAL SLAVE_SELECT
        SIGNAL DH3
        SIGNAL DH2
        SIGNAL DH1
        SIGNAL DH0
        SIGNAL XLXN_43
        SIGNAL W_DAT(4)
        SIGNAL W_DAT(3)
        SIGNAL W_DAT(2)
        SIGNAL W_DAT(1)
        SIGNAL W_DAT(0)
        SIGNAL DD(7:0)
        SIGNAL W_DAT(7:0)
        SIGNAL DEVSEL
        SIGNAL GEN_REG_ACCESS
        SIGNAL DH_ACCESS
        SIGNAL DA0
        SIGNAL XLXN_444
        PORT Input DMACKn
        PORT Input CS1n
        PORT Input DMARQ
        PORT Input CS0n
        PORT Output A0
        PORT Output A1
        PORT Output A2
        PORT Input DIOWn
        PORT Output WR_PULSE
        PORT Input RESETn
        PORT Input DA2
        PORT Input DA1
        PORT Input DIORn
        PORT Output CLEAR
        PORT Input R_DAT(7:0)
        PORT Output DH3
        PORT Output DH2
        PORT Output DH1
        PORT Output DH0
        PORT BiDirectional DD(7:0)
        PORT Output W_DAT(7:0)
        PORT Output GEN_REG_ACCESS
        PORT Input DA0
        BEGIN BLOCKDEF ibuf4
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -224 64 -224 
            LINE N 224 -160 128 -160 
            LINE N 0 -32 64 -32 
            LINE N 64 -192 64 -256 
            LINE N 128 -224 64 -192 
            LINE N 64 -256 128 -224 
            LINE N 64 -128 64 -192 
            LINE N 128 -160 64 -128 
            LINE N 64 -192 128 -160 
            LINE N 64 -64 64 -128 
            LINE N 128 -96 64 -64 
            LINE N 64 -128 128 -96 
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -96 64 -96 
            LINE N 0 -160 64 -160 
            LINE N 224 -224 128 -224 
            LINE N 224 -96 128 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF and4b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 256 -160 192 -160 
            LINE N 64 -64 64 -256 
            LINE N 144 -112 64 -112 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 64 -208 144 -208 
        END BLOCKDEF
        BEGIN BLOCKDEF ibuf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF and4b2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 256 -160 192 -160 
            LINE N 64 -208 144 -208 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 64 -64 64 -256 
            LINE N 144 -112 64 -112 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF obufe8
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -96 64 -96 
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            RECTANGLE N 0 -44 64 -20 
            RECTANGLE N 128 -44 224 -20 
            LINE N 96 -96 64 -96 
            LINE N 96 -48 96 -96 
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF xor2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 60 -128 
            LINE N 256 -96 208 -96 
            ARC N -40 -152 72 -40 48 -48 44 -144 
            ARC N -24 -152 88 -40 64 -48 64 -144 
            LINE N 128 -144 64 -144 
            LINE N 128 -48 64 -48 
            ARC N 44 -144 220 32 208 -96 128 -144 
            ARC N 44 -224 220 -48 128 -48 208 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF reg_5a
            TIMESTAMP 2006 6 16 16 33 24
            RECTANGLE N 64 -512 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -160 0 -160 
            LINE N 64 -32 0 -32 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 320 -480 384 -480 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF and3b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -64 64 -192 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 144 -80 64 -80 
            LINE N 64 -176 144 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF ibuf8
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 128 -44 224 -20 
            LINE N 224 -32 128 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF fd8
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 96 -64 32 -64 
            LINE N 64 0 64 -32 
            LINE N 64 -32 64 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 ibuf4
            PIN I0 DMACKn
            PIN I1 CS1n
            PIN I2 DMARQ
            PIN I3 CS0n
            PIN O0 XLXN_8
            PIN O1 XLXN_9
            PIN O2 XLXN_10
            PIN O3 XLXN_11
        END BLOCK
        BEGIN BLOCK XLXI_4 and4b1
            PIN I0 A0
            PIN I1 A2
            PIN I2 A1
            PIN I3 GENERAL_ACCESS
            PIN O DH_ACCESS
        END BLOCK
        BEGIN BLOCK XLXI_5 ibuf
            PIN I DIOWn
            PIN O WR_PULSE
        END BLOCK
        BEGIN BLOCK XLXI_12 ibuf
            PIN I RESETn
            PIN O XLXN_443
        END BLOCK
        BEGIN BLOCK XLXI_84 and4b2
            PIN I0 XLXN_11
            PIN I1 XLXN_10
            PIN I2 XLXN_9
            PIN I3 XLXN_8
            PIN O GENERAL_ACCESS
        END BLOCK
        BEGIN BLOCK XLXI_6 ibuf
            PIN I DIORn
            PIN O DIOR
        END BLOCK
        BEGIN BLOCK XLXI_152 inv
            PIN I DIOR
            PIN O RD_PULSE
        END BLOCK
        BEGIN BLOCK XLXI_177 inv
            PIN I XLXN_443
            PIN O CLEAR
        END BLOCK
        BEGIN BLOCK XLXI_10 obufe8
            PIN E READ_ENABLE
            PIN I(7:0) XLXN_105(7:0)
            PIN O(7:0) DD(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_13 xor2
            PIN I0 SLAVE_SELECT
            PIN I1 XLXN_43
            PIN O XLXN_444
        END BLOCK
        BEGIN BLOCK XLXI_11 reg_5a
            PIN C WR_PULSE
            PIN CE DIOR
            PIN CLR CLEAR
            PIN DI0 W_DAT(0)
            PIN DI1 W_DAT(1)
            PIN DI2 W_DAT(2)
            PIN DI3 W_DAT(3)
            PIN DI4 W_DAT(4)
            PIN DO0 DH0
            PIN DO1 DH1
            PIN DO2 DH2
            PIN DO3 DH3
            PIN DO4 XLXN_43
        END BLOCK
        BEGIN BLOCK XLXI_88 ibuf8
            PIN I(7:0) DD(7:0)
            PIN O(7:0) W_DAT(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_129 fd8
            PIN C RD_PULSE
            PIN D(7:0) R_DAT(7:0)
            PIN Q(7:0) XLXN_105(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_207 and3b1
            PIN I0 DH_ACCESS
            PIN I1 GENERAL_ACCESS
            PIN I2 DEVSEL
            PIN O GEN_REG_ACCESS
        END BLOCK
        BEGIN BLOCK XLXI_128 and3b1
            PIN I0 DIOR
            PIN I1 A2
            PIN I2 GEN_REG_ACCESS
            PIN O READ_ENABLE
        END BLOCK
        BEGIN BLOCK XLXI_208 vcc
            PIN P SLAVE_SELECT
        END BLOCK
        BEGIN BLOCK XLXI_211 ibuf
            PIN I DA2
            PIN O A2
        END BLOCK
        BEGIN BLOCK XLXI_212 ibuf
            PIN I DA1
            PIN O A1
        END BLOCK
        BEGIN BLOCK XLXI_213 ibuf
            PIN I DA0
            PIN O A0
        END BLOCK
        BEGIN BLOCK XLXI_214 inv
            PIN I XLXN_444
            PIN O DEVSEL
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_1 400 336 R0
        BEGIN BRANCH DMACKn
            WIRE 192 112 400 112
        END BRANCH
        BEGIN BRANCH CS1n
            WIRE 192 176 400 176
        END BRANCH
        BEGIN BRANCH DMARQ
            WIRE 192 240 400 240
        END BRANCH
        BEGIN BRANCH CS0n
            WIRE 192 304 400 304
        END BRANCH
        INSTANCE XLXI_4 1024 896 R0
        BEGIN BRANCH GENERAL_ACCESS
            WIRE 928 384 1232 384
            WIRE 928 384 928 640
            WIRE 928 640 1024 640
            WIRE 1120 208 1232 208
            WIRE 1232 208 1232 384
            WIRE 1232 208 1696 208
            WIRE 1696 208 1824 208
            BEGIN DISPLAY 1696 208 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A0
            WIRE 624 432 640 432
            WIRE 640 432 848 432
            WIRE 848 432 848 832
            WIRE 848 832 1024 832
            WIRE 848 432 1632 432
        END BRANCH
        BEGIN BRANCH A1
            WIRE 624 496 704 496
            WIRE 704 496 800 496
            WIRE 800 496 800 704
            WIRE 800 704 1024 704
            WIRE 800 496 1632 496
        END BRANCH
        BEGIN BRANCH A2
            WIRE 624 560 752 560
            WIRE 752 560 752 768
            WIRE 752 768 1024 768
            WIRE 752 560 1632 560
        END BRANCH
        BEGIN BRANCH SLAVE_SELECT
            WIRE 768 912 768 928
            WIRE 768 928 1696 928
            WIRE 1696 928 1824 928
            BEGIN DISPLAY 1696 928 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_5 400 1072 R0
        BEGIN BRANCH DIOWn
            WIRE 192 1040 400 1040
        END BRANCH
        BEGIN BRANCH WR_PULSE
            WIRE 624 1040 1648 1040
        END BRANCH
        INSTANCE XLXI_12 400 1312 R0
        BEGIN BRANCH RESETn
            WIRE 192 1280 400 1280
        END BRANCH
        BEGIN BRANCH DA2
            WIRE 192 560 400 560
        END BRANCH
        BEGIN BRANCH DA1
            WIRE 192 496 400 496
        END BRANCH
        BEGIN BRANCH XLXN_8
            WIRE 624 112 864 112
        END BRANCH
        BEGIN BRANCH XLXN_9
            WIRE 624 176 864 176
        END BRANCH
        BEGIN BRANCH XLXN_10
            WIRE 624 240 864 240
        END BRANCH
        BEGIN BRANCH XLXN_11
            WIRE 624 304 864 304
        END BRANCH
        INSTANCE XLXI_84 864 368 R0
        INSTANCE XLXI_6 400 1152 R0
        BEGIN BRANCH DIORn
            WIRE 192 1120 400 1120
        END BRANCH
        INSTANCE XLXI_152 1024 1232 R0
        BEGIN BRANCH DIOR
            WIRE 624 1120 912 1120
            WIRE 912 1120 912 1200
            WIRE 912 1200 1024 1200
            WIRE 912 1120 1792 1120
            WIRE 1792 1120 1824 1120
            BEGIN DISPLAY 1792 1120 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RD_PULSE
            WIRE 1248 1200 1744 1200
            WIRE 1744 1200 1824 1200
            BEGIN DISPLAY 1744 1200 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_177 848 1312 R0
        BEGIN BRANCH XLXN_443
            WIRE 624 1280 848 1280
        END BRANCH
        BEGIN BRANCH CLEAR
            WIRE 1072 1280 1680 1280
        END BRANCH
        IOMARKER 192 112 DMACKn R180 28
        IOMARKER 192 176 CS1n R180 28
        IOMARKER 192 240 DMARQ R180 28
        IOMARKER 192 304 CS0n R180 28
        IOMARKER 192 1040 DIOWn R180 28
        IOMARKER 192 1280 RESETn R180 28
        IOMARKER 192 496 DA1 R180 28
        IOMARKER 192 560 DA2 R180 28
        IOMARKER 192 1120 DIORn R180 28
        IOMARKER 1632 432 A0 R0 28
        IOMARKER 1632 496 A1 R0 28
        IOMARKER 1632 560 A2 R0 28
        IOMARKER 1680 1280 CLEAR R0 28
        IOMARKER 1648 1040 WR_PULSE R0 28
        INSTANCE XLXI_208 704 912 R0
        INSTANCE XLXI_211 400 592 R0
        INSTANCE XLXI_212 400 528 R0
        INSTANCE XLXI_213 400 464 R0
        BEGIN BRANCH DA0
            WIRE 192 432 400 432
        END BRANCH
        IOMARKER 192 432 DA0 R180 28
        BEGIN BRANCH DH_ACCESS
            WIRE 1280 736 1728 736
            WIRE 1728 736 1824 736
            BEGIN DISPLAY 1728 736 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
    END SHEET
    BEGIN SHEET 2 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH XLXN_105(7:0)
            WIRE 992 224 1120 224
        END BRANCH
        INSTANCE XLXI_10 1120 256 R0
        BEGIN BRANCH R_DAT(7:0)
            WIRE 256 224 592 224
            WIRE 592 224 608 224
        END BRANCH
        BEGIN BRANCH READ_ENABLE
            WIRE 128 96 224 96
            WIRE 224 96 352 96
            WIRE 352 96 688 96
            WIRE 688 96 1024 96
            WIRE 1024 96 1024 160
            WIRE 1024 160 1120 160
            BEGIN DISPLAY 224 96 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SLAVE_SELECT
            WIRE 128 1120 240 1120
            WIRE 240 1120 1040 1120
            WIRE 1040 912 1104 912
            WIRE 1040 912 1040 1120
            BEGIN DISPLAY 240 1120 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DH3
            WIRE 992 784 1648 784
            WIRE 1648 784 1696 784
        END BRANCH
        BEGIN BRANCH DH2
            WIRE 992 720 1648 720
            WIRE 1648 720 1696 720
        END BRANCH
        BEGIN BRANCH DH1
            WIRE 992 656 1648 656
            WIRE 1648 656 1696 656
        END BRANCH
        BEGIN BRANCH DH0
            WIRE 992 592 1648 592
            WIRE 1648 592 1696 592
        END BRANCH
        BEGIN BRANCH XLXN_43
            WIRE 992 848 1104 848
        END BRANCH
        INSTANCE XLXI_13 1104 976 R0
        BEGIN BRANCH WR_PULSE
            WIRE 128 976 208 976
            WIRE 208 976 608 976
            BEGIN DISPLAY 208 976 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLEAR
            WIRE 128 1040 176 1040
            WIRE 176 1040 608 1040
            BEGIN DISPLAY 176 1040 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH W_DAT(4)
            WIRE 480 848 576 848
            WIRE 576 848 608 848
            BEGIN DISPLAY 576 848 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH W_DAT(3)
            WIRE 480 784 576 784
            WIRE 576 784 608 784
            BEGIN DISPLAY 576 784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH W_DAT(2)
            WIRE 480 720 576 720
            WIRE 576 720 608 720
            BEGIN DISPLAY 576 720 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH W_DAT(1)
            WIRE 480 656 576 656
            WIRE 576 656 608 656
            BEGIN DISPLAY 576 656 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH W_DAT(0)
            WIRE 480 592 576 592
            WIRE 576 592 608 592
            BEGIN DISPLAY 576 592 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_11 608 1072 R0
        END INSTANCE
        BEGIN BRANCH DD(7:0)
            WIRE 1024 304 1472 304
            WIRE 1024 304 1024 400
            WIRE 1024 400 1136 400
            WIRE 1344 224 1472 224
            WIRE 1472 224 1616 224
            WIRE 1472 224 1472 304
        END BRANCH
        BEGIN BRANCH W_DAT(7:0)
            WIRE 384 480 1472 480
            WIRE 384 480 384 592
            WIRE 384 592 384 656
            WIRE 384 656 384 720
            WIRE 384 720 384 784
            WIRE 384 784 384 848
            WIRE 1360 400 1472 400
            WIRE 1472 400 1472 480
            WIRE 1472 400 1616 400
        END BRANCH
        INSTANCE XLXI_88 1136 432 R0
        BUSTAP 384 592 480 592
        BUSTAP 384 656 480 656
        BUSTAP 384 720 480 720
        BUSTAP 384 784 480 784
        BUSTAP 384 848 480 848
        INSTANCE XLXI_129 608 480 R0
        BEGIN BRANCH RD_PULSE
            WIRE 128 352 208 352
            WIRE 208 352 608 352
            BEGIN DISPLAY 208 352 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1616 224 DD(7:0) R0 28
        BEGIN BRANCH DIOR
            WIRE 128 912 160 912
            WIRE 160 912 608 912
            BEGIN DISPLAY 160 912 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1696 592 DH0 R0 28
        IOMARKER 1696 656 DH1 R0 28
        IOMARKER 1696 720 DH2 R0 28
        IOMARKER 1696 784 DH3 R0 28
        IOMARKER 256 224 R_DAT(7:0) R180 28
        IOMARKER 1616 400 W_DAT(7:0) R0 28
        BEGIN BRANCH XLXN_444
            WIRE 1360 880 1376 880
            WIRE 1376 880 1392 880
        END BRANCH
        INSTANCE XLXI_214 1392 912 R0
        BEGIN BRANCH DEVSEL
            WIRE 1616 880 1728 880
            WIRE 1728 880 1776 880
            BEGIN DISPLAY 1728 880 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
    END SHEET
    BEGIN SHEET 3 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_207 656 256 R0
        BEGIN BRANCH DIOR
            WIRE 64 432 96 432
            WIRE 96 432 656 432
            BEGIN DISPLAY 96 432 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_128 656 496 R0
        BEGIN BRANCH GEN_REG_ACCESS
            WIRE 576 256 992 256
            WIRE 576 256 576 304
            WIRE 576 304 656 304
            WIRE 912 128 992 128
            WIRE 992 128 992 256
            WIRE 992 128 1392 128
        END BRANCH
        BEGIN BRANCH DEVSEL
            WIRE 80 64 128 64
            WIRE 128 64 656 64
            BEGIN DISPLAY 128 64 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GENERAL_ACCESS
            WIRE 80 128 208 128
            WIRE 208 128 656 128
            BEGIN DISPLAY 208 128 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DH_ACCESS
            WIRE 80 192 160 192
            WIRE 160 192 656 192
            BEGIN DISPLAY 160 192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A2
            WIRE 64 368 80 368
            WIRE 80 368 656 368
            BEGIN DISPLAY 80 368 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1392 128 GEN_REG_ACCESS R0 28
        BEGIN BRANCH READ_ENABLE
            WIRE 912 368 1568 368
            WIRE 1568 368 1680 368
            BEGIN DISPLAY 1568 368 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
