VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL DI(7:0)
        SIGNAL WE
        SIGNAL WCLK
        SIGNAL CLR
        SIGNAL Q(7:0)
        SIGNAL Q(0)
        SIGNAL Q(1)
        SIGNAL Q(2)
        SIGNAL Q(3)
        SIGNAL Q(4)
        SIGNAL Q(5)
        SIGNAL Q(6)
        SIGNAL Q(7)
        SIGNAL PORT_(7:0)
        SIGNAL DO(7:0)
        SIGNAL PORT_(0)
        SIGNAL PORT_(1)
        SIGNAL PORT_(2)
        SIGNAL PORT_(3)
        SIGNAL PORT_(4)
        SIGNAL PORT_(5)
        SIGNAL PORT_(6)
        SIGNAL PORT_(7)
        SIGNAL OE_LO
        SIGNAL XLXN_36
        SIGNAL XLXN_38
        SIGNAL OE_HI
        PORT Input DI(7:0)
        PORT Input WE
        PORT Input WCLK
        PORT Input CLR
        PORT BiDirectional PORT_(7:0)
        PORT Output DO(7:0)
        PORT Input OE_LO
        PORT Input OE_HI
        BEGIN BLOCKDEF fd8ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF obufe4
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -288 64 -288 
            LINE N 0 -224 64 -224 
            LINE N 0 -160 64 -160 
            LINE N 0 -96 64 -96 
            LINE N 0 -32 64 -32 
            LINE N 224 -224 128 -224 
            LINE N 224 -160 128 -160 
            LINE N 224 -96 128 -96 
            LINE N 224 -32 128 -32 
            LINE N 96 -176 96 -208 
            LINE N 96 -288 64 -288 
            LINE N 96 -240 96 -288 
            LINE N 96 -112 96 -144 
            LINE N 96 -48 96 -80 
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 64 -256 64 -192 
            LINE N 128 -224 64 -256 
            LINE N 64 -192 128 -224 
            LINE N 64 -128 64 -64 
            LINE N 128 -96 64 -128 
            LINE N 64 -64 128 -96 
            LINE N 64 -192 64 -128 
            LINE N 128 -160 64 -192 
            LINE N 64 -128 128 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF ibuf8
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 128 -44 224 -20 
            LINE N 224 -32 128 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 fd8ce
            PIN C WCLK
            PIN CE WE
            PIN CLR CLR
            PIN D(7:0) DI(7:0)
            PIN Q(7:0) Q(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_4 ibuf8
            PIN I(7:0) PORT_(7:0)
            PIN O(7:0) DO(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_2 obufe4
            PIN E OE_HI
            PIN I0 Q(4)
            PIN I1 Q(5)
            PIN I2 Q(6)
            PIN I3 Q(7)
            PIN O0 PORT_(4)
            PIN O1 PORT_(5)
            PIN O2 PORT_(6)
            PIN O3 PORT_(7)
        END BLOCK
        BEGIN BLOCK XLXI_3 obufe4
            PIN E OE_LO
            PIN I0 Q(3)
            PIN I1 Q(2)
            PIN I2 Q(1)
            PIN I3 Q(0)
            PIN O0 PORT_(3)
            PIN O1 PORT_(2)
            PIN O2 PORT_(1)
            PIN O3 PORT_(0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_1 384 432 R0
        BEGIN BRANCH DI(7:0)
            WIRE 176 176 384 176
        END BRANCH
        BEGIN BRANCH WE
            WIRE 176 240 384 240
        END BRANCH
        BEGIN BRANCH WCLK
            WIRE 176 304 384 304
        END BRANCH
        BEGIN BRANCH CLR
            WIRE 176 400 384 400
        END BRANCH
        BEGIN BRANCH Q(7:0)
            WIRE 768 176 832 176
            WIRE 832 176 896 176
            WIRE 896 176 896 192
            WIRE 896 192 896 256
            WIRE 896 256 896 320
            WIRE 896 320 896 384
            WIRE 896 384 896 688
            WIRE 896 688 896 752
            WIRE 896 752 896 816
            WIRE 896 816 896 880
            WIRE 896 880 896 896
            BEGIN DISPLAY 832 176 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 896 192 992 192
        BUSTAP 896 256 992 256
        BUSTAP 896 320 992 320
        BUSTAP 896 384 992 384
        BUSTAP 896 688 992 688
        BUSTAP 896 752 992 752
        BUSTAP 896 816 992 816
        BUSTAP 896 880 992 880
        INSTANCE XLXI_3 1088 160 M180
        BEGIN BRANCH Q(0)
            WIRE 992 192 1024 192
            WIRE 1024 192 1088 192
            BEGIN DISPLAY 1024 192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q(1)
            WIRE 992 256 1024 256
            WIRE 1024 256 1088 256
            BEGIN DISPLAY 1024 256 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q(2)
            WIRE 992 320 1024 320
            WIRE 1024 320 1088 320
            BEGIN DISPLAY 1024 320 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q(3)
            WIRE 992 384 1024 384
            WIRE 1024 384 1088 384
            BEGIN DISPLAY 1024 384 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q(4)
            WIRE 992 688 1024 688
            WIRE 1024 688 1088 688
            BEGIN DISPLAY 1024 688 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q(5)
            WIRE 992 752 1024 752
            WIRE 1024 752 1088 752
            BEGIN DISPLAY 1024 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q(6)
            WIRE 992 816 1024 816
            WIRE 1024 816 1088 816
            BEGIN DISPLAY 1024 816 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q(7)
            WIRE 992 880 1024 880
            WIRE 1024 880 1088 880
            BEGIN DISPLAY 1024 880 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 176 176 DI(7:0) R180 28
        IOMARKER 176 240 WE R180 28
        IOMARKER 176 304 WCLK R180 28
        IOMARKER 176 400 CLR R180 28
        IOMARKER 1664 176 PORT_(7:0) R0 28
        BEGIN BRANCH PORT_(7:0)
            WIRE 880 992 1520 992
            WIRE 880 992 880 1136
            WIRE 880 1136 1056 1136
            WIRE 1520 176 1664 176
            WIRE 1520 176 1520 192
            WIRE 1520 192 1520 256
            WIRE 1520 256 1520 320
            WIRE 1520 320 1520 384
            WIRE 1520 384 1520 688
            WIRE 1520 688 1520 752
            WIRE 1520 752 1520 816
            WIRE 1520 816 1520 880
            WIRE 1520 880 1520 992
        END BRANCH
        INSTANCE XLXI_4 1056 1168 R0
        BEGIN BRANCH DO(7:0)
            WIRE 1280 1136 1616 1136
        END BRANCH
        IOMARKER 1616 1136 DO(7:0) R0 28
        BUSTAP 1520 192 1424 192
        BUSTAP 1520 256 1424 256
        BUSTAP 1520 320 1424 320
        BUSTAP 1520 384 1424 384
        BUSTAP 1520 688 1424 688
        BUSTAP 1520 752 1424 752
        BUSTAP 1520 816 1424 816
        BUSTAP 1520 880 1424 880
        BEGIN BRANCH PORT_(0)
            WIRE 1312 192 1360 192
            WIRE 1360 192 1424 192
            BEGIN DISPLAY 1360 192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_(1)
            WIRE 1312 256 1360 256
            WIRE 1360 256 1424 256
            BEGIN DISPLAY 1360 256 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_(2)
            WIRE 1312 320 1360 320
            WIRE 1360 320 1424 320
            BEGIN DISPLAY 1360 320 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_(3)
            WIRE 1312 384 1360 384
            WIRE 1360 384 1424 384
            BEGIN DISPLAY 1360 384 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_(4)
            WIRE 1312 688 1360 688
            WIRE 1360 688 1424 688
            BEGIN DISPLAY 1360 688 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_(5)
            WIRE 1312 752 1360 752
            WIRE 1360 752 1424 752
            BEGIN DISPLAY 1360 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_(6)
            WIRE 1312 816 1360 816
            WIRE 1360 816 1424 816
            BEGIN DISPLAY 1360 816 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_(7)
            WIRE 1312 880 1360 880
            WIRE 1360 880 1424 880
            BEGIN DISPLAY 1360 880 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH OE_LO
            WIRE 176 528 496 528
            WIRE 496 528 720 528
            WIRE 720 528 816 528
            WIRE 816 448 816 528
            WIRE 816 448 1088 448
        END BRANCH
        IOMARKER 176 624 OE_HI R180 28
        IOMARKER 176 528 OE_LO R180 28
        INSTANCE XLXI_2 1088 912 R0
        BEGIN BRANCH OE_HI
            WIRE 176 624 480 624
            WIRE 480 624 704 624
            WIRE 704 624 1088 624
        END BRANCH
    END SHEET
END SCHEMATIC
