VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL D1(7:0)
        SIGNAL D0(7:0)
        SIGNAL D0(0)
        SIGNAL D0(1)
        SIGNAL D0(2)
        SIGNAL D0(3)
        SIGNAL D1(3)
        SIGNAL D0(4)
        SIGNAL D1(4)
        SIGNAL D0(5)
        SIGNAL D1(5)
        SIGNAL D0(6)
        SIGNAL D1(6)
        SIGNAL D0(7)
        SIGNAL D1(7)
        SIGNAL S
        SIGNAL D1(2)
        SIGNAL D1(0)
        SIGNAL DO(7:0)
        SIGNAL DO(0)
        SIGNAL DO(1)
        SIGNAL DO(2)
        SIGNAL DO(3)
        SIGNAL DO(4)
        SIGNAL DO(5)
        SIGNAL DO(6)
        SIGNAL DO(7)
        SIGNAL XLXN_33
        SIGNAL XLXN_34
        SIGNAL XLXN_35
        SIGNAL XLXN_36
        SIGNAL XLXN_32
        SIGNAL XLXN_55
        SIGNAL D1(1)
        PORT Input D1(7:0)
        PORT Input D0(7:0)
        PORT Input S
        PORT Output DO(7:0)
        BEGIN BLOCKDEF m2_1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 96 -64 96 -192 
            LINE N 256 -96 96 -64 
            LINE N 256 -160 256 -96 
            LINE N 96 -192 256 -160 
            LINE N 176 -32 96 -32 
            LINE N 176 -80 176 -32 
            LINE N 0 -32 96 -32 
            LINE N 320 -128 256 -128 
            LINE N 0 -96 96 -96 
            LINE N 0 -160 96 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_8 m2_1
            PIN D0 D0(7)
            PIN D1 D1(7)
            PIN S0 S
            PIN O DO(7)
        END BLOCK
        BEGIN BLOCK XLXI_6 m2_1
            PIN D0 D0(5)
            PIN D1 D1(5)
            PIN S0 S
            PIN O DO(5)
        END BLOCK
        BEGIN BLOCK XLXI_4 m2_1
            PIN D0 D0(3)
            PIN D1 D1(3)
            PIN S0 S
            PIN O DO(3)
        END BLOCK
        BEGIN BLOCK XLXI_5 m2_1
            PIN D0 D0(4)
            PIN D1 D1(4)
            PIN S0 S
            PIN O DO(4)
        END BLOCK
        BEGIN BLOCK XLXI_7 m2_1
            PIN D0 D0(6)
            PIN D1 D1(6)
            PIN S0 S
            PIN O DO(6)
        END BLOCK
        BEGIN BLOCK XLXI_3 m2_1
            PIN D0 D0(2)
            PIN D1 D1(2)
            PIN S0 S
            PIN O DO(2)
        END BLOCK
        BEGIN BLOCK XLXI_2 m2_1
            PIN D0 D0(1)
            PIN D1 D1(1)
            PIN S0 S
            PIN O DO(1)
        END BLOCK
        BEGIN BLOCK XLXI_1 m2_1
            PIN D0 D0(0)
            PIN D1 D1(0)
            PIN S0 S
            PIN O DO(0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1344 1900
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_8 528 1824 R0
        BEGIN BRANCH D1(7:0)
            WIRE 160 144 240 144
            WIRE 240 144 240 160
            WIRE 240 160 240 384
            WIRE 240 384 240 608
            WIRE 240 608 240 832
            WIRE 240 832 240 1056
            WIRE 240 1056 240 1280
            WIRE 240 1280 240 1504
            WIRE 240 1504 240 1728
            WIRE 240 1728 240 1744
        END BRANCH
        IOMARKER 160 144 D1(7:0) R180 28
        BUSTAP 240 160 336 160
        BUSTAP 240 384 336 384
        BUSTAP 240 608 336 608
        BUSTAP 240 832 336 832
        BUSTAP 240 1056 336 1056
        BUSTAP 240 1280 336 1280
        BUSTAP 240 1504 336 1504
        BEGIN BRANCH D0(1)
            WIRE 416 320 480 320
            WIRE 480 320 592 320
            BEGIN DISPLAY 480 320 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D0(2)
            WIRE 416 544 496 544
            WIRE 496 544 592 544
            BEGIN DISPLAY 496 544 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D0(3)
            WIRE 416 768 480 768
            WIRE 480 768 592 768
            BEGIN DISPLAY 480 768 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D1(3)
            WIRE 336 832 416 832
            WIRE 416 832 592 832
            BEGIN DISPLAY 416 832 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D0(4)
            WIRE 416 992 480 992
            WIRE 480 992 592 992
            BEGIN DISPLAY 480 992 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D1(4)
            WIRE 336 1056 416 1056
            WIRE 416 1056 592 1056
            BEGIN DISPLAY 416 1056 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D0(5)
            WIRE 416 1216 480 1216
            WIRE 480 1216 592 1216
            BEGIN DISPLAY 480 1216 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D1(5)
            WIRE 336 1280 416 1280
            WIRE 416 1280 592 1280
            BEGIN DISPLAY 416 1280 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D0(6)
            WIRE 416 1440 480 1440
            WIRE 480 1440 592 1440
            BEGIN DISPLAY 480 1440 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D1(6)
            WIRE 336 1504 416 1504
            WIRE 416 1504 592 1504
            BEGIN DISPLAY 416 1504 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D0(7)
            WIRE 416 1664 480 1664
            WIRE 480 1664 528 1664
            BEGIN DISPLAY 480 1664 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 240 1728 336 1728
        BEGIN BRANCH D1(7)
            WIRE 336 1728 400 1728
            WIRE 400 1728 528 1728
            BEGIN DISPLAY 400 1728 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH S
            WIRE 96 1792 432 1792
            WIRE 432 1792 528 1792
            WIRE 432 224 592 224
            WIRE 432 224 432 448
            WIRE 432 448 432 672
            WIRE 432 672 432 896
            WIRE 432 896 432 1120
            WIRE 432 1120 432 1344
            WIRE 432 1344 432 1568
            WIRE 432 1568 432 1792
            WIRE 432 1568 592 1568
            WIRE 432 1344 592 1344
            WIRE 432 1120 592 1120
            WIRE 432 896 592 896
            WIRE 432 672 592 672
            WIRE 432 448 592 448
        END BRANCH
        BEGIN BRANCH D1(2)
            WIRE 336 608 416 608
            WIRE 416 608 592 608
            BEGIN DISPLAY 416 608 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D0(7:0)
            WIRE 160 80 320 80
            WIRE 320 80 320 96
            WIRE 320 96 320 1216
            WIRE 320 1216 320 1440
            WIRE 320 1440 320 1664
        END BRANCH
        BUSTAP 320 320 416 320
        BUSTAP 320 544 416 544
        BUSTAP 320 768 416 768
        BUSTAP 320 992 416 992
        BUSTAP 320 1664 416 1664
        BUSTAP 320 96 416 96
        BEGIN BRANCH D1(0)
            WIRE 336 160 416 160
            WIRE 416 160 592 160
            BEGIN DISPLAY 416 160 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 160 80 D0(7:0) R180 28
        BUSTAP 320 1216 416 1216
        BUSTAP 320 1440 416 1440
        IOMARKER 96 1792 S R180 28
        BEGIN BRANCH D0(0)
            WIRE 416 96 432 96
            WIRE 432 96 592 96
            BEGIN DISPLAY 432 96 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_6 592 1376 R0
        INSTANCE XLXI_4 592 928 R0
        INSTANCE XLXI_5 592 1152 R0
        INSTANCE XLXI_7 592 1600 R0
        BEGIN BRANCH DO(7:0)
            WIRE 1088 112 1088 128
            WIRE 1088 128 1088 352
            WIRE 1088 352 1088 576
            WIRE 1088 576 1088 800
            WIRE 1088 800 1088 1024
            WIRE 1088 1024 1088 1248
            WIRE 1088 1248 1088 1472
            WIRE 1088 1472 1088 1696
            WIRE 1088 1696 1088 1712
            WIRE 1088 112 1184 112
        END BRANCH
        BUSTAP 1088 128 992 128
        BUSTAP 1088 352 992 352
        BUSTAP 1088 576 992 576
        BUSTAP 1088 800 992 800
        BUSTAP 1088 1024 992 1024
        BUSTAP 1088 1248 992 1248
        BUSTAP 1088 1472 992 1472
        BUSTAP 1088 1696 992 1696
        BEGIN BRANCH DO(0)
            WIRE 912 128 960 128
            WIRE 960 128 992 128
            BEGIN DISPLAY 960 128 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DO(1)
            WIRE 912 352 976 352
            WIRE 976 352 992 352
            BEGIN DISPLAY 976 352 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DO(2)
            WIRE 912 576 976 576
            WIRE 976 576 992 576
            BEGIN DISPLAY 976 576 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DO(3)
            WIRE 912 800 976 800
            WIRE 976 800 992 800
            BEGIN DISPLAY 976 800 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DO(4)
            WIRE 912 1024 976 1024
            WIRE 976 1024 992 1024
            BEGIN DISPLAY 976 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DO(5)
            WIRE 912 1248 976 1248
            WIRE 976 1248 992 1248
            BEGIN DISPLAY 976 1248 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DO(6)
            WIRE 912 1472 976 1472
            WIRE 976 1472 992 1472
            BEGIN DISPLAY 976 1472 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DO(7)
            WIRE 848 1696 976 1696
            WIRE 976 1696 992 1696
            BEGIN DISPLAY 976 1696 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_3 592 704 R0
        INSTANCE XLXI_2 592 480 R0
        INSTANCE XLXI_1 592 256 R0
        IOMARKER 1184 112 DO(7:0) R0 28
        BEGIN BRANCH D1(1)
            WIRE 336 384 416 384
            WIRE 416 384 592 384
            BEGIN DISPLAY 416 384 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
