VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL DOA
        SIGNAL DOB
        SIGNAL DOC
        SIGNAL DOD
        SIGNAL DA0
        SIGNAL DA1
        SIGNAL DA2
        SIGNAL DA3
        SIGNAL DB0
        SIGNAL DB1
        SIGNAL DB2
        SIGNAL DB3
        SIGNAL DC0
        SIGNAL DC1
        SIGNAL DC2
        SIGNAL DC3
        SIGNAL DD0
        SIGNAL DD1
        SIGNAL DD2
        SIGNAL DD3
        SIGNAL S0
        SIGNAL S1
        SIGNAL S2
        SIGNAL S3
        PORT Output DOA
        PORT Output DOB
        PORT Output DOC
        PORT Output DOD
        PORT Input DA0
        PORT Input DA1
        PORT Input DA2
        PORT Input DA3
        PORT Input DB0
        PORT Input DB1
        PORT Input DB2
        PORT Input DB3
        PORT Input DC0
        PORT Input DC1
        PORT Input DC2
        PORT Input DC3
        PORT Input DD0
        PORT Input DD1
        PORT Input DD2
        PORT Input DD3
        PORT Input S0
        PORT Input S1
        PORT Input S2
        PORT Input S3
        BEGIN BLOCKDEF sel_4a2
            TIMESTAMP 2006 7 15 11 59 20
            RECTANGLE N 64 -768 320 0 
            LINE N 64 -736 0 -736 
            LINE N 64 -672 0 -672 
            LINE N 64 -608 0 -608 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -640 384 -640 
            LINE N 320 -384 384 -384 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 sel_4a2
            PIN DA0 DA0
            PIN DA1 DA1
            PIN DA2 DA2
            PIN DA3 DA3
            PIN DB0 DB0
            PIN DB1 DB1
            PIN DB2 DB2
            PIN DB3 DB3
            PIN S0 S0
            PIN S1 S1
            PIN S2 S2
            PIN S3 S3
            PIN DOA DOA
            PIN DOB DOB
        END BLOCK
        BEGIN BLOCK XLXI_2 sel_4a2
            PIN DA0 DC0
            PIN DA1 DC1
            PIN DA2 DC2
            PIN DA3 DC3
            PIN DB0 DD0
            PIN DB1 DD1
            PIN DB2 DD2
            PIN DB3 DD3
            PIN S0 S0
            PIN S1 S1
            PIN S2 S2
            PIN S3 S3
            PIN DOA DOC
            PIN DOB DOD
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1344 1900
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN INSTANCE XLXI_2 592 1760 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_1 592 896 R0
        END INSTANCE
        BEGIN BRANCH DOA
            WIRE 976 256 1088 256
        END BRANCH
        BEGIN BRANCH DOB
            WIRE 976 512 1088 512
        END BRANCH
        BEGIN BRANCH DOC
            WIRE 976 1120 1088 1120
        END BRANCH
        BEGIN BRANCH DOD
            WIRE 976 1376 1088 1376
        END BRANCH
        IOMARKER 1088 256 DOA R0 28
        IOMARKER 1088 512 DOB R0 28
        IOMARKER 1088 1120 DOC R0 28
        IOMARKER 1088 1376 DOD R0 28
        BEGIN BRANCH DA0
            WIRE 160 160 592 160
        END BRANCH
        BEGIN BRANCH DA1
            WIRE 160 224 592 224
        END BRANCH
        BEGIN BRANCH DA2
            WIRE 160 288 592 288
        END BRANCH
        BEGIN BRANCH DA3
            WIRE 160 352 592 352
        END BRANCH
        BEGIN BRANCH DB0
            WIRE 160 416 592 416
        END BRANCH
        BEGIN BRANCH DB1
            WIRE 160 480 592 480
        END BRANCH
        BEGIN BRANCH DB2
            WIRE 160 544 592 544
        END BRANCH
        BEGIN BRANCH DB3
            WIRE 160 608 592 608
        END BRANCH
        BEGIN BRANCH DC0
            WIRE 176 1024 592 1024
        END BRANCH
        BEGIN BRANCH DC1
            WIRE 176 1088 592 1088
        END BRANCH
        BEGIN BRANCH DC2
            WIRE 176 1152 592 1152
        END BRANCH
        BEGIN BRANCH DC3
            WIRE 176 1216 592 1216
        END BRANCH
        BEGIN BRANCH DD0
            WIRE 176 1280 592 1280
        END BRANCH
        BEGIN BRANCH DD1
            WIRE 176 1344 592 1344
        END BRANCH
        BEGIN BRANCH DD2
            WIRE 176 1408 592 1408
        END BRANCH
        BEGIN BRANCH DD3
            WIRE 176 1472 592 1472
        END BRANCH
        BEGIN BRANCH S0
            WIRE 176 1536 368 1536
            WIRE 368 1536 592 1536
            WIRE 368 672 592 672
            WIRE 368 672 368 1536
        END BRANCH
        BEGIN BRANCH S1
            WIRE 176 1600 416 1600
            WIRE 416 1600 592 1600
            WIRE 416 736 592 736
            WIRE 416 736 416 1600
        END BRANCH
        BEGIN BRANCH S2
            WIRE 176 1664 464 1664
            WIRE 464 1664 592 1664
            WIRE 464 800 480 800
            WIRE 480 800 592 800
            WIRE 464 800 464 1664
        END BRANCH
        BEGIN BRANCH S3
            WIRE 176 1728 512 1728
            WIRE 512 1728 592 1728
            WIRE 512 864 592 864
            WIRE 512 864 512 1728
        END BRANCH
        IOMARKER 160 160 DA0 R180 28
        IOMARKER 160 224 DA1 R180 28
        IOMARKER 160 288 DA2 R180 28
        IOMARKER 160 352 DA3 R180 28
        IOMARKER 160 416 DB0 R180 28
        IOMARKER 160 480 DB1 R180 28
        IOMARKER 160 544 DB2 R180 28
        IOMARKER 160 608 DB3 R180 28
        IOMARKER 176 1024 DC0 R180 28
        IOMARKER 176 1088 DC1 R180 28
        IOMARKER 176 1152 DC2 R180 28
        IOMARKER 176 1216 DC3 R180 28
        IOMARKER 176 1280 DD0 R180 28
        IOMARKER 176 1344 DD1 R180 28
        IOMARKER 176 1408 DD2 R180 28
        IOMARKER 176 1472 DD3 R180 28
        IOMARKER 176 1536 S0 R180 28
        IOMARKER 176 1600 S1 R180 28
        IOMARKER 176 1664 S2 R180 28
        IOMARKER 176 1728 S3 R180 28
        BEGIN DISPLAY 604 1812 TEXT "Data Selector 4 to 1 (4 bits)"
            FONT 44 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
