VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL DIR(7:0)
        SIGNAL DAT(7:0)
        SIGNAL DAT(0)
        SIGNAL DO(0)
        SIGNAL DIR(1)
        SIGNAL DAT(1)
        SIGNAL DO(1)
        SIGNAL DIR(2)
        SIGNAL DAT(2)
        SIGNAL DO(2)
        SIGNAL IOPORT(0)
        SIGNAL IOPORT(1)
        SIGNAL IOPORT(2)
        SIGNAL DIR(3)
        SIGNAL DAT(3)
        SIGNAL DO(3)
        SIGNAL IOPORT(3)
        SIGNAL DIR(0)
        SIGNAL DI(7:0)
        SIGNAL WE_DIR
        SIGNAL WE_DAT
        SIGNAL WCLK
        SIGNAL CLR
        SIGNAL DO(7:0)
        SIGNAL IOPORT(7:0)
        SIGNAL DAT(4)
        SIGNAL DO(4)
        SIGNAL DIR(5)
        SIGNAL DAT(5)
        SIGNAL DO(5)
        SIGNAL DIR(6)
        SIGNAL DAT(6)
        SIGNAL DO(6)
        SIGNAL IOPORT(4)
        SIGNAL IOPORT(5)
        SIGNAL IOPORT(6)
        SIGNAL DIR(7)
        SIGNAL DAT(7)
        SIGNAL DO(7)
        SIGNAL IOPORT(7)
        SIGNAL DIR(4)
        PORT Input DI(7:0)
        PORT Input WE_DIR
        PORT Input WE_DAT
        PORT Input WCLK
        PORT Input CLR
        PORT Output DO(7:0)
        PORT BiDirectional IOPORT(7:0)
        BEGIN BLOCKDEF iobufe
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 224 -128 128 -128 
            LINE N 160 -64 128 -64 
            LINE N 160 -128 160 -64 
            LINE N 0 -64 64 -64 
            LINE N 96 -140 96 -192 
            LINE N 0 -192 96 -192 
            LINE N 64 -96 64 -160 
            LINE N 128 -128 64 -96 
            LINE N 64 -160 128 -128 
            LINE N 128 -96 128 -32 
            LINE N 64 -64 128 -96 
            LINE N 128 -32 64 -64 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF fd8ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_3 iobufe
            PIN I DAT(2)
            PIN IO IOPORT(2)
            PIN O DO(2)
            PIN E DIR(2)
        END BLOCK
        BEGIN BLOCK XLXI_2 iobufe
            PIN I DAT(1)
            PIN IO IOPORT(1)
            PIN O DO(1)
            PIN E DIR(1)
        END BLOCK
        BEGIN BLOCK XLXI_4 iobufe
            PIN I DAT(3)
            PIN IO IOPORT(3)
            PIN O DO(3)
            PIN E DIR(3)
        END BLOCK
        BEGIN BLOCK XLXI_1 iobufe
            PIN I DAT(0)
            PIN IO IOPORT(0)
            PIN O DO(0)
            PIN E DIR(0)
        END BLOCK
        BEGIN BLOCK XLXI_34 fd8ce
            PIN C WCLK
            PIN CE WE_DIR
            PIN CLR CLR
            PIN D(7:0) DI(7:0)
            PIN Q(7:0) DIR(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_35 fd8ce
            PIN C WCLK
            PIN CE WE_DAT
            PIN CLR CLR
            PIN D(7:0) DI(7:0)
            PIN Q(7:0) DAT(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_36 iobufe
            PIN I DAT(6)
            PIN IO IOPORT(6)
            PIN O DO(6)
            PIN E DIR(6)
        END BLOCK
        BEGIN BLOCK XLXI_37 iobufe
            PIN I DAT(5)
            PIN IO IOPORT(5)
            PIN O DO(5)
            PIN E DIR(5)
        END BLOCK
        BEGIN BLOCK XLXI_38 iobufe
            PIN I DAT(7)
            PIN IO IOPORT(7)
            PIN O DO(7)
            PIN E DIR(7)
        END BLOCK
        BEGIN BLOCK XLXI_39 iobufe
            PIN I DAT(4)
            PIN IO IOPORT(4)
            PIN O DO(4)
            PIN E DIR(4)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_34 688 448 R0
        INSTANCE XLXI_35 688 896 R0
        BEGIN BRANCH DIR(7:0)
            WIRE 1072 192 1552 192
            WIRE 1552 192 1648 192
            BEGIN DISPLAY 1552 192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DAT(7:0)
            WIRE 1072 640 1584 640
            WIRE 1584 640 1648 640
            BEGIN DISPLAY 1584 640 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DI(7:0)
            WIRE 240 192 320 192
            WIRE 320 192 528 192
            WIRE 528 192 688 192
            WIRE 528 192 528 640
            WIRE 528 640 688 640
            BEGIN DISPLAY 320 192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WE_DIR
            WIRE 240 256 320 256
            WIRE 320 256 688 256
            BEGIN DISPLAY 320 256 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WE_DAT
            WIRE 240 704 352 704
            WIRE 352 704 688 704
            BEGIN DISPLAY 352 704 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WCLK
            WIRE 240 320 304 320
            WIRE 304 320 480 320
            WIRE 480 320 688 320
            WIRE 480 320 480 768
            WIRE 480 768 688 768
            BEGIN DISPLAY 304 320 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLR
            WIRE 240 416 304 416
            WIRE 304 416 432 416
            WIRE 432 416 688 416
            WIRE 432 416 432 864
            WIRE 432 864 688 864
            BEGIN DISPLAY 304 416 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 240 192 DI(7:0) R180 28
        IOMARKER 240 256 WE_DIR R180 28
        IOMARKER 240 320 WCLK R180 28
        IOMARKER 240 416 CLR R180 28
        IOMARKER 240 704 WE_DAT R180 28
        BEGIN DISPLAY 788 988 TEXT "8 bit Data Port (1). Direction and Data Registers"
            FONT 44 "Arial"
        END DISPLAY
    END SHEET
    BEGIN SHEET 2 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_3 960 864 R0
        INSTANCE XLXI_2 944 608 R0
        BEGIN BRANCH DIR(7:0)
            WIRE 240 128 320 128
            WIRE 320 128 688 128
            WIRE 688 128 688 144
            WIRE 688 144 688 416
            WIRE 688 416 688 672
            WIRE 688 672 688 944
            BEGIN DISPLAY 320 128 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DAT(7:0)
            WIRE 240 192 320 192
            WIRE 320 192 608 192
            WIRE 608 192 608 208
            WIRE 608 208 608 480
            WIRE 608 480 608 736
            WIRE 608 736 608 1008
            BEGIN DISPLAY 320 192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DO(7:0)
            WIRE 528 256 528 272
            WIRE 528 272 528 544
            WIRE 528 544 528 800
            WIRE 528 800 528 1072
            WIRE 528 1072 528 1184
            WIRE 528 1184 1600 1184
            WIRE 1600 1184 1664 1184
            BEGIN DISPLAY 1600 1184 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 688 144 784 144
        BUSTAP 688 416 784 416
        BUSTAP 688 672 784 672
        BUSTAP 608 208 704 208
        BUSTAP 608 480 704 480
        BUSTAP 608 736 704 736
        BUSTAP 528 272 624 272
        BEGIN BRANCH DAT(0)
            WIRE 704 208 800 208
            WIRE 800 208 960 208
            BEGIN DISPLAY 800 208 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DO(0)
            WIRE 624 272 800 272
            WIRE 800 272 960 272
            BEGIN DISPLAY 800 272 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIR(1)
            WIRE 784 416 832 416
            WIRE 832 416 944 416
            BEGIN DISPLAY 832 416 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DAT(1)
            WIRE 704 480 800 480
            WIRE 800 480 944 480
            BEGIN DISPLAY 800 480 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 528 544 624 544
        BEGIN BRANCH DO(1)
            WIRE 624 544 800 544
            WIRE 800 544 944 544
            BEGIN DISPLAY 800 544 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIR(2)
            WIRE 784 672 832 672
            WIRE 832 672 960 672
            BEGIN DISPLAY 832 672 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DAT(2)
            WIRE 704 736 800 736
            WIRE 800 736 960 736
            BEGIN DISPLAY 800 736 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 528 800 624 800
        BEGIN BRANCH DO(2)
            WIRE 624 800 800 800
            WIRE 800 800 960 800
            BEGIN DISPLAY 800 800 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IOPORT(0)
            WIRE 1184 208 1248 208
            WIRE 1248 208 1312 208
            BEGIN DISPLAY 1248 208 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IOPORT(1)
            WIRE 1168 480 1184 480
            WIRE 1184 480 1248 480
            WIRE 1248 480 1312 480
            BEGIN DISPLAY 1248 480 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IOPORT(2)
            WIRE 1184 736 1200 736
            WIRE 1200 736 1248 736
            WIRE 1248 736 1312 736
            BEGIN DISPLAY 1248 736 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_4 960 1136 R0
        BUSTAP 688 944 784 944
        BUSTAP 608 1008 704 1008
        BUSTAP 528 1072 624 1072
        BEGIN BRANCH DIR(3)
            WIRE 784 944 832 944
            WIRE 832 944 960 944
            BEGIN DISPLAY 832 944 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DAT(3)
            WIRE 704 1008 800 1008
            WIRE 800 1008 960 1008
            BEGIN DISPLAY 800 1008 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DO(3)
            WIRE 624 1072 800 1072
            WIRE 800 1072 960 1072
            BEGIN DISPLAY 800 1072 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IOPORT(3)
            WIRE 1184 1008 1200 1008
            WIRE 1200 1008 1248 1008
            WIRE 1248 1008 1312 1008
            BEGIN DISPLAY 1248 1008 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIR(0)
            WIRE 784 144 832 144
            WIRE 832 144 960 144
            BEGIN DISPLAY 832 144 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_1 960 336 R0
        BEGIN BRANCH IOPORT(7:0)
            WIRE 1408 192 1632 192
            WIRE 1632 192 1696 192
            WIRE 1408 192 1408 208
            WIRE 1408 208 1408 480
            WIRE 1408 480 1408 736
            WIRE 1408 736 1408 1008
            BEGIN DISPLAY 1632 192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1408 208 1312 208
        BUSTAP 1408 480 1312 480
        BUSTAP 1408 736 1312 736
        BUSTAP 1408 1008 1312 1008
        BEGIN DISPLAY 1048 1264 TEXT "8 bit Data Port (2). I/O Buffers bits 3...0"
            FONT 40 "Arial"
        END DISPLAY
    END SHEET
    BEGIN SHEET 3 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_36 912 880 R0
        INSTANCE XLXI_37 896 624 R0
        BEGIN BRANCH DIR(7:0)
            WIRE 192 144 272 144
            WIRE 272 144 640 144
            WIRE 640 144 640 160
            WIRE 640 160 640 432
            WIRE 640 432 640 688
            WIRE 640 688 640 960
            BEGIN DISPLAY 272 144 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DAT(7:0)
            WIRE 192 208 272 208
            WIRE 272 208 560 208
            WIRE 560 208 560 224
            WIRE 560 224 560 496
            WIRE 560 496 560 752
            WIRE 560 752 560 1024
            BEGIN DISPLAY 272 208 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DO(7:0)
            WIRE 480 272 480 288
            WIRE 480 288 480 560
            WIRE 480 560 480 816
            WIRE 480 816 480 1088
            WIRE 480 1088 480 1200
            WIRE 480 1200 1552 1200
            WIRE 1552 1200 1616 1200
            BEGIN DISPLAY 1552 1200 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 640 160 736 160
        BUSTAP 640 432 736 432
        BUSTAP 640 688 736 688
        BUSTAP 560 224 656 224
        BUSTAP 560 496 656 496
        BUSTAP 560 752 656 752
        BUSTAP 480 288 576 288
        BEGIN BRANCH DAT(4)
            WIRE 656 224 752 224
            WIRE 752 224 912 224
            BEGIN DISPLAY 752 224 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DO(4)
            WIRE 576 288 752 288
            WIRE 752 288 912 288
            BEGIN DISPLAY 752 288 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIR(5)
            WIRE 736 432 784 432
            WIRE 784 432 896 432
            BEGIN DISPLAY 784 432 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DAT(5)
            WIRE 656 496 752 496
            WIRE 752 496 896 496
            BEGIN DISPLAY 752 496 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 480 560 576 560
        BEGIN BRANCH DO(5)
            WIRE 576 560 752 560
            WIRE 752 560 896 560
            BEGIN DISPLAY 752 560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIR(6)
            WIRE 736 688 784 688
            WIRE 784 688 912 688
            BEGIN DISPLAY 784 688 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DAT(6)
            WIRE 656 752 752 752
            WIRE 752 752 912 752
            BEGIN DISPLAY 752 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 480 816 576 816
        BEGIN BRANCH DO(6)
            WIRE 576 816 752 816
            WIRE 752 816 912 816
            BEGIN DISPLAY 752 816 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IOPORT(4)
            WIRE 1136 224 1200 224
            WIRE 1200 224 1264 224
            BEGIN DISPLAY 1200 224 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IOPORT(5)
            WIRE 1120 496 1136 496
            WIRE 1136 496 1200 496
            WIRE 1200 496 1264 496
            BEGIN DISPLAY 1200 496 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IOPORT(6)
            WIRE 1136 752 1152 752
            WIRE 1152 752 1200 752
            WIRE 1200 752 1264 752
            BEGIN DISPLAY 1200 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_38 912 1152 R0
        BUSTAP 640 960 736 960
        BUSTAP 560 1024 656 1024
        BUSTAP 480 1088 576 1088
        BEGIN BRANCH DIR(7)
            WIRE 736 960 784 960
            WIRE 784 960 912 960
            BEGIN DISPLAY 784 960 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DAT(7)
            WIRE 656 1024 752 1024
            WIRE 752 1024 912 1024
            BEGIN DISPLAY 752 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DO(7)
            WIRE 576 1088 752 1088
            WIRE 752 1088 912 1088
            BEGIN DISPLAY 752 1088 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH IOPORT(7)
            WIRE 1136 1024 1152 1024
            WIRE 1152 1024 1200 1024
            WIRE 1200 1024 1264 1024
            BEGIN DISPLAY 1200 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIR(4)
            WIRE 736 160 784 160
            WIRE 784 160 912 160
            BEGIN DISPLAY 784 160 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_39 912 352 R0
        BEGIN BRANCH IOPORT(7:0)
            WIRE 1360 208 1584 208
            WIRE 1584 208 1648 208
            WIRE 1360 208 1360 224
            WIRE 1360 224 1360 496
            WIRE 1360 496 1360 752
            WIRE 1360 752 1360 1024
            BEGIN DISPLAY 1584 208 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1360 224 1264 224
        BUSTAP 1360 496 1264 496
        BUSTAP 1360 752 1264 752
        BUSTAP 1360 1024 1264 1024
        IOMARKER 1648 208 IOPORT(7:0) R0 28
        IOMARKER 1616 1200 DO(7:0) R0 28
        BEGIN DISPLAY 1024 1276 TEXT "8 bit Data Port (3). I/O Buffers bits 7...4"
            FONT 40 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
