VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_4
        SIGNAL XLXN_5
        SIGNAL XLXN_6
        SIGNAL XLXN_7
        SIGNAL XLXN_11
        SIGNAL D0
        SIGNAL S0
        SIGNAL D1
        SIGNAL S1
        SIGNAL D2
        SIGNAL S2
        SIGNAL DO
        PORT Input D0
        PORT Input S0
        PORT Input D1
        PORT Input S1
        PORT Input D2
        PORT Input S2
        PORT Output DO
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF or3
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 48 -64 
            LINE N 0 -128 72 -128 
            LINE N 0 -192 48 -192 
            LINE N 256 -128 192 -128 
            ARC N 28 -256 204 -80 112 -80 192 -128 
            ARC N -40 -184 72 -72 48 -80 48 -176 
            LINE N 48 -64 48 -80 
            LINE N 48 -192 48 -176 
            LINE N 112 -80 48 -80 
            ARC N 28 -176 204 0 192 -128 112 -176 
            LINE N 112 -176 48 -176 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 and2
            PIN I0 S0
            PIN I1 D0
            PIN O XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_2 and2
            PIN I0 S1
            PIN I1 D1
            PIN O XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_3 and2
            PIN I0 S2
            PIN I1 D2
            PIN O XLXN_11
        END BLOCK
        BEGIN BLOCK XLXI_4 or3
            PIN I0 XLXN_11
            PIN I1 XLXN_2
            PIN I2 XLXN_1
            PIN O DO
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_1 704 288 R0
        INSTANCE XLXI_2 704 432 R0
        INSTANCE XLXI_3 704 576 R0
        BEGIN BRANCH XLXN_1
            WIRE 960 192 976 192
            WIRE 976 192 1056 192
            WIRE 1056 192 1056 272
            WIRE 1056 272 1120 272
        END BRANCH
        BEGIN BRANCH XLXN_2
            WIRE 960 336 976 336
            WIRE 976 336 1120 336
        END BRANCH
        INSTANCE XLXI_4 1120 464 R0
        BEGIN BRANCH XLXN_11
            WIRE 960 480 1056 480
            WIRE 1056 400 1056 480
            WIRE 1056 400 1120 400
        END BRANCH
        BEGIN BRANCH D0
            WIRE 352 160 704 160
        END BRANCH
        BEGIN BRANCH S0
            WIRE 352 224 704 224
        END BRANCH
        BEGIN BRANCH D1
            WIRE 352 304 704 304
        END BRANCH
        BEGIN BRANCH S1
            WIRE 352 368 704 368
        END BRANCH
        BEGIN BRANCH D2
            WIRE 352 448 704 448
        END BRANCH
        BEGIN BRANCH S2
            WIRE 352 512 704 512
        END BRANCH
        BEGIN BRANCH DO
            WIRE 1376 336 1648 336
        END BRANCH
        IOMARKER 352 160 D0 R180 28
        IOMARKER 352 224 S0 R180 28
        IOMARKER 352 304 D1 R180 28
        IOMARKER 352 368 S1 R180 28
        IOMARKER 352 448 D2 R180 28
        IOMARKER 352 512 S2 R180 28
        IOMARKER 1648 336 DO R0 28
    END SHEET
END SCHEMATIC
